summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-04-09 23:43:28 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-04-10 00:08:12 -0500
commitc976901992de256672ef7b5952f1647cbc013c6c (patch)
treed3db74a64cb06078ddc3114e6b10bfcfc68fb6aa /dev-python
parentdev-python/os-brick: readd py36 support (diff)
downloadgentoo-c976901992de256672ef7b5952f1647cbc013c6c.tar.gz
gentoo-c976901992de256672ef7b5952f1647cbc013c6c.tar.bz2
gentoo-c976901992de256672ef7b5952f1647cbc013c6c.zip
dev-python/glance_store: 0.28.0 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/glance_store/Manifest1
-rw-r--r--dev-python/glance_store/glance_store-0.28.0.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/glance_store/Manifest b/dev-python/glance_store/Manifest
index 757a948bb9e..d354bfe2f0f 100644
--- a/dev-python/glance_store/Manifest
+++ b/dev-python/glance_store/Manifest
@@ -1,3 +1,4 @@
DIST glance_store-0.22.0.tar.gz 130377 BLAKE2B 7dc46dde1dbccddbbabf0e0d1d4033429e4ffa3d6dec6fe379b6f7aabcaa5eeed639aa2c76e5b85ccf3444f4e76ec894251bdb8ae573b094e657fe61acb7887b SHA512 3de073fd4926513674b87afb15a2d4485c4a98f76c7d36cd0957a9cd848399bfb1fc6b3b40550522b712e9bbddf8efec5c3fc629a944fe447543d35eb7184168
DIST glance_store-0.23.0.tar.gz 140917 BLAKE2B 764510b2d24b633a9120d4c39e66100a75de23c0bd7ef633bff4d381369c67d6a21b4f16019432ac02c6ed1b995c5c6373014dd9a5bd4df4981721146ced4145 SHA512 ee3d1187ac47427981af294604bd4742a12b60bdf406039a86c5eb33645e1407bc077ae079ea07b9c031922d9350b0e2eb7eaba70f51854c288faf90f9cd7b41
DIST glance_store-0.26.1.tar.gz 183314 BLAKE2B dd8cfa2b3e41016b0cb8e3cc6aba0c8288524f7ac3bbd42d23c2ecbc8df49a620d310ac2ccd155852b5731ba6c1cf071d8f0aca376d0ea888e474fe562b3a258 SHA512 ebaa8ad311e071972e2b9f4d8813b930cb6241ef4527d0cd1a6449d169f23b2ff5830d4a99009c15d62e4d767f5dafc8567631f1eaab28256cc4bffc33518509
+DIST glance_store-0.28.0.tar.gz 183622 BLAKE2B 327bbb498d9cc1e446361d026f2dac4d4cd057745790fdcf032583ef0869c302a453e1331028a47bdff34f4bda9f1c27d9c26a005febeecbe5e4d786d08cbcf1 SHA512 3ff1bf64c75c069f6bb22ad72438fcb97e569d8de10cb85065ee0f1f8f9e948cf6b895a184460080f90f091e082deafcee70730b8dd954a6b026a1796b70ea09
diff --git a/dev-python/glance_store/glance_store-0.28.0.ebuild b/dev-python/glance_store/glance_store-0.28.0.ebuild
new file mode 100644
index 00000000000..29d40c519eb
--- /dev/null
+++ b/dev-python/glance_store/glance_store-0.28.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library for glance"
+HOMEPAGE="https://github.com/openstack/glance_store"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="cinder swift vmware"
+
+CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.18.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-serialization-1.19.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ virtual/python-enum34[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.6.0[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ cinder? (
+ >=dev-python/python-cinderclient-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/os-brick-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-rootwrap-5.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-privsep-1.23.0[${PYTHON_USEDEP}]
+ )
+ swift? (
+ >=dev-python/httplib2-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/python-swiftclient-3.2.0[${PYTHON_USEDEP}]
+ )
+ vmware? ( >=dev-python/oslo-vmware-2.17.0[${PYTHON_USEDEP}] )
+"